## typo3-dummy 4.3.0

=== debian/changelog ===
typo3-dummy (4.3.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding of Swedish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Jan 2011 07:31:50 +0100

typo3-dummy (4.3.0-4) unstable; urgency=low

  [ Christian Welzel ]

  * Raised standards version to 3.9.0
  * Added "set names utf-8" to localconf.php.

  [ Christian Perrier ]

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #586285
  * [Debconf translation updates]
  * French (David Prévot).  Closes: #586564
  * Swedish (Martin Bagge).  Closes: #586826
  * Russian (Yuri Kozlov).  Closes: #586939
  * Portuguese (Américo Monteiro).  Closes: #587070
  * Czech (Michal Simunek).  Closes: #587246
  * German (Chris Leick).  Closes: #587490
  * Danish (Joe Hansen).  Closes: #588366
  * Spanish (Francisco Javier Cuadrado).  Closes: #588424

 -- Christian Welzel <gawain@camlann.de>  Wed, 14 Jul 2010 22:00:00 +0100

typo3-dummy (4.3.0-3) unstable; urgency=low

  * Duplicated the apache.conf and adopted to vhost and directory
    configurations.
  * Raised standards version to 3.8.4.
  * Removed dpatch system.
  * Added file debian/source/format with "3.0 (quilt)" as content.
  * Moved debian/patches/00list to debian/patches/series, modified it.
  * Moved debian/patches/*.dpatch to debian/patches/*.patch, removed
    dpatch specific code.
  * Merged postrm and typo3-dummy.postrm to typo3-dummy.postrm.
  * Merged postinst and typo3-dummy.postinst to typo3-dummy.postinst.
  * Moved apache-*.conf links from conf.d/ to sites-available/.
  * Added debconf to configure the way of inclusion into apache.
  * Removed apache-ssl and apache-perl from postinst and postrm.
  * Changed dependency "libapache2-mod-php5 | php5-cgi" to "php5".
  * Some adjustments to README.debian.
  * Removed README.source.

 -- Christian Welzel <gawain@camlann.de>  Thu, 26 Apr 2010 22:00:00 +0100

typo3-dummy (4.3.0-2) unstable; urgency=low

  * Enable mod_rewrite in the post install script.
  * Added cronscript for scheduler extension.
  * Added memcached and php5-memcache to recommendations.
  * Added basic configuration of the new caching framework to 
    patches/01-defaults.dpatch.
    - set $TYPO3_CONF_VARS['SYS']['useCachingFramework'] to '1' in 
      /etc/typo3-dummy/localconf.php to enable the framework.
  * Added some documentation to README.debian.

 -- Christian Welzel <gawain@camlann.de>  Sat, 05 Dec 2009 22:00:00 +0100

typo3-dummy (4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Added default php include_path to include_path in apache.conf
  * Raised standards version to 3.8.3
  * Added README.source.

 -- Christian Welzel <gawain@camlann.de>  Thu, 03 Dec 2009 22:00:00 +0100

typo3-dummy (4.3.0~alpha3-1) experimental; urgency=low

  * New upstream release.
  * Raised standards version to 3.8.1.
  * Raised compat version to 5.
  * Added dephelper depends.
  * Fixed Apache spelling error in description
  * Moved homepage to header field.
  * Added init.d script to create /var/run/typo3-dummy (introduces
    dependency on lsb-base).

 -- Christian Welzel <gawain@camlann.de>  Sun, 07 Jun 2009 20:00:00 +0100

typo3-dummy (4.3.0~alpha2-1) experimental; urgency=low

  * New upstream release.
  * New dependencies (copied from typo3-src).
  * Removed php4 section from apache.conf.
  * Moved setting of access rights from postinst to rules.
  * Added lintian override "non-standard-file-perm" for localconf.php
  * Removed build-stamp from debian/rules.
  * Rewritten long description.
  * Set some more strictly rights on /var/lib/typo3-dummy.
  * Integrated dbconfig-common in frontend mode.
  * Changed alias of the site from typo3/ to cms/.
  * Added javascript directories to open_basedir.
  * Added forceCharset, imagefile_ext and enable_typo3temp_db_tracking
    to default localconf.php

 -- Christian Welzel <gawain@camlann.de>  Sun, 22 Mar 2009 20:00:00 +0100

typo3-dummy (4.2.5-1) unstable; urgency=high

  * New upstream release.
    - no changes, only version raise to match typo3-src package

 -- Christian Welzel <gawain@camlann.de>  Mon, 26 Jan 2009 20:00:00 +0100

typo3-dummy (4.2.4-1) unstable; urgency=high

  * New upstream release.
  * Added /usr/share/javascript/prototype/, /usr/share/javascript/scriptaculous/
    to open_basedir in apache.conf. (Closes: 512624)
  * Changed sendmail_path in apache.conf to include parameters "-t -i"
    (Closes: 512626)

 -- Christian Welzel <gawain@camlann.de>  Thu, 22 Jan 2009 12:00:00 +0100

typo3-dummy (4.2.3-1) unstable; urgency=low

  * New upstream release.
  * Changed temporary directory for uploads to /var/run/typo3-dummy
    because of lintian error.
  * Added lintian override for non-standard-dir-perm (above dir is 0750).
  * Raised build-depend of debhelper to >=6.0.7 because of dh_lintian.

 -- Christian Welzel <gawain@camlann.de>  Fri, 14 Nov 2008 22:00:00 +0200

typo3-dummy (4.2.2-2) unstable; urgency=low

  * Added upload_tmp_dir to apache.conf and set it to /var/tmp/typo3-dummy
  * Added creation and access settings for /var/tmp/typo3-dummy to debian/rules.
  * Adopted open_basedir setting (Closes: 502771).

 -- Christian Welzel <gawain@camlann.de>  Fri, 24 Oct 2008 18:00:00 +0200

typo3-dummy (4.2.2-1) unstable; urgency=low

  * New upstream release.
  * Added /tmp to PHPs open_basedir to allow file-uploads in the backend.

 -- Christian Welzel <gawain@camlann.de>  Thu, 09 Oct 2008 15:00:00 +0200

typo3-dummy (4.2.1-1) unstable; urgency=low

  * New upstream release.
  * Modified apache.conf according to hints in bugreport #421205 
    (Closes: 421205)
  * Raised standards version to 3.8.0

 -- Christian Welzel <gawain@camlann.de>  Fri, 20 Jun 2008 22:00:00 +0100

typo3-dummy (4.1.6-1) unstable; urgency=low

  * New upstream release.
  * Dependency changed from ttf-bitstream-vera to ttf-dejavu (Closes: 461294)


